using System;
using System.Collections.Generic;
using System.Text;

namespace Waymex.Gis.Coordinates
{
    /// <summary>
    /// Enumerator for the Geoid datums in use with OSGB 36/OSTN02.
    /// </summary>
    public enum Osgb36GeoidDatum
    {
        /// <summary>
        /// Outside Model Boundary
        /// </summary>
        OutsideModelBoundary = 0,
        /// <summary>
        /// Newlyn, Uk Mainland
        /// </summary>
        NewlynUkMainland = 1,
        /// <summary>
        /// StMarys, Scilly Isles
        /// </summary>
        StMarysScillyIsles = 2,
        /// <summary>
        /// Douglas02, Isle of Man
        /// </summary>
        Douglas02IsleofMan = 3,
        /// <summary>
        /// Stornoway, Outer Hebrides
        /// </summary>
        StornowayOuterHebrides = 4,
        /// <summary>
        /// St. Kilda, St. Kilda
        /// </summary>
        StKildaStKilda = 5,
        /// <summary>
        /// Lerwick, Shetland Isles
        /// </summary>
        LerwickShetlandIsles = 6,
        /// <summary>
        /// Newlyn, Orkney Isles
        /// </summary>
        NewlynOrkneyIsles = 7,
        /// <summary>
        /// Fair Isle, Fair Isle
        /// </summary>
        FairIsleFairIsle = 8,
        /// <summary>
        /// Flannan Isles, Flannan Isles
        /// </summary>
        FlannanIslesFlannanIsles = 9,
        /// <summary>
        /// North Rona, North Rona
        /// </summary>
        NorthRonaNorthRona = 10,
        /// <summary>
        /// Sule Skerry, Sule Skerry
        /// </summary>
        SuleSkerrySuleSkerry = 11,
        /// <summary>
        /// Foula, Foula.
        /// </summary>
        FoulaFoula = 12,
        /// <summary>
        /// Malin Head, Republic of Ireland
        /// </summary>
        MalinHeadRepublicofIreland = 13,
        /// <summary>
        /// Belfast, Northern Ireland
        /// </summary>
        BelfastNorthernIreland = 14
    }
}
